#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	SPIRV-Tools
Version		:	1.3.283.0
Release		:	17.0.10.rel%{?dist}
Summary		:	API and commands for processing SPIR-V modules

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Apache-2.0
URL		:	https://github.com/KhronosGroup/%{name}

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc-c++
BuildRequires	:	ninja
BuildRequires	:	SPIRV-Headers-devel
BuildRequires	:	python3-rpm-macros

Requires	:	%{name}-libs	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description
The package includes an assembler, binary module parser,
disassembler, and validator for SPIR-V..
 

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.md CHANGES
%{_bindir}/spirv-as
%{_bindir}/spirv-cfg
%{_bindir}/spirv-dis
%{_bindir}/spirv-lesspipe.sh
%{_bindir}/spirv-link
%{_bindir}/spirv-lint
%{_bindir}/spirv-objdump
%{_bindir}/spirv-opt
%{_bindir}/spirv-reduce
%{_bindir}/spirv-val

#=============================================================================
%package		libs
Summary		:	Library files for %{name}

#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description		libs
library files for %{name}

#-----------------------------------------------------------------------------
%files			libs
%defattr(-,root,root,-)
%{_libdir}/lib%{name}-diff.so
%{_libdir}/lib%{name}-link.so
%{_libdir}/lib%{name}-lint.so
%{_libdir}/lib%{name}-opt.so
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-reduce.so
%{_libdir}/lib%{name}-shared.so

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}-libs	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/spirv-tools/
%{_libdir}/cmake/%{name}/%{name}*.cmake
%{_libdir}/cmake/%{name}-*/%{name}*.cmake
%{_libdir}/pkgconfig/%{name}-shared.pc
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q -n %{name}-vulkan-sdk-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_BUILD_TYPE=Release			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_BINDIR=%{_bindir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}		\
	-D SPIRV_WERROR=OFF				\
	-D BUILD_SHARED_LIBS=ON  			\
	-D SPIRV_TOOLS_BUILD_STATIC=OFF			\
	-D SPIRV-Headers_SOURCE_DIR=%{_prefix}		\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
cmake							\
	--build						\
	_bld						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
